Package org.apache.wiki.modules

# Interface ModuleManager

All Known Subinterfaces:
  `EditorManager`, `FilterManager`, `PluginManager`, `TemplateManager`

All Known Implementing Classes:
  `BaseModuleManager`, `DefaultEditorManager`, `DefaultFilterManager`, `DefaultPluginManager`, `DefaultTemplateManager`

public interface ModuleManager

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_RESOURCE_LOCATION`
Location of the property-files of plugins.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkCompatibility(WikiModuleInfo info)`
Returns true, if the given module is compatible with this version of JSPWiki.
`WikiModuleInfo`
`getModuleInfo(String moduleName)`
Returns the `WikiModuleInfo` information about the provided moduleName.
`Collection<WikiModuleInfo>`
`modules()`
Returns a collection of modules currently managed by this ModuleManager.

## Field Details

### PLUGIN_RESOURCE_LOCATION

static final String PLUGIN_RESOURCE_LOCATION
Location of the property-files of plugins. (Each plugin should include this property-file in its jar-file)

See Also:
  - Constant Field Values

## Method Details

### checkCompatibility

boolean checkCompatibility(WikiModuleInfo info)
Returns true, if the given module is compatible with this version of JSPWiki.

Parameters:
  `info` - The module to check
Returns:
  True, if the module is compatible.

### getModuleInfo

WikiModuleInfo getModuleInfo(String moduleName)
Returns the `WikiModuleInfo` information about the provided moduleName.

Parameters:
  `moduleName` -
Returns:
  The wikiModuleInfo

### modules

Collection<WikiModuleInfo> modules()
Returns a collection of modules currently managed by this ModuleManager. Each entry is an instance of the WikiModuleInfo class. This method should return something which is safe to iterate over, even if the underlying collection changes.

Returns:
  A Collection of WikiModuleInfo instances.